<script context="module">
  import { Api, ApiError } from "../api.js"

  export async function preload(page, { config }) {
    const api = new Api(config, { fetch: this.fetch })

    let bopiList = []
    try {
      bopiList = await api.bopiList({ include_archived: true })
    } catch (error) {
      if (error instanceof ApiError) {
        return this.error(500, error)
      }
      throw error
    }

    return { bopiList }
  }
</script>

<script>
  export let bopiList
  import BopiList from "../components/BopiList.svelte"

  const currentBopiList = bopiList
    ? bopiList.items.filter(bopi => !bopi.archived)
    : []
  const archivedBopiList = bopiList
    ? bopiList.items.filter(bopi => bopi.archived)
    : []
</script>

<svelte:head>
  <title>bopyweb | accueil</title>
</svelte:head>

<h1 class="page-title">
  Interface de génération PDF
  <br />
  du BOPI Dessins et modèles
</h1>

<p class="text-center">
  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent pharetra
  vestibulum nunc, non condimentum leo lacinia vitae. Nunc eu venenatis lectus,
  sed dictum tortor. Pellentesque sit amet nunc nisi. Nullam id nulla mattis,
  pharetra diam sed, dictum massa. Quisque placerat massa lectus, vel dictum
  diam pharetra eu. Morbi nulla ligula, lobortis eu magna et, lacinia laoreet
  ante. Pellentesque habitant morbi tristique senectus et netus et malesuada
  fames ac turpis egestas.
</p>

<div class="my-5">
  <BopiList
    items={currentBopiList}
    title="BOPI en cours"
    noItemsMessage="Aucun BOPI en cours" />
</div>

<div class="my-5">
  <BopiList
    items={archivedBopiList}
    title="BOPI archivés"
    noItemsMessage="Aucun BOPI archivé" />
</div>
